/***************************************************************************
 *   Copyright (C) 2004 by Patrick Steiner                                 *
 *   patrick.steiner@a1.net                                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
 
#ifndef MILALP_H
#define MILALP_H
#include "militaryalphabetbase.h"

class MilAlp : public MilAlpBase
{ 
    Q_OBJECT

public:
    MilAlp( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
    ~MilAlp();

private slots:
	void goodBye();
	void playSoundString();
	void playMorseString();
	void startSoundTimer();
	void startMorseTimer();
	void convertKeys( const QString &string );
};

#endif // MILALP_H
